package com.realnet.vpspack.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.vpspack.Entity.Visa_entry;
import com.realnet.vpspack.Services.Visa_entryService ;






@RequestMapping(value = "/Visa_entry")
 @CrossOrigin("*") 
@RestController
public class Visa_entryController {
	@Autowired
	private Visa_entryService Service;

@Value("${projectPath}")
	private String projectPath;
 






	@PostMapping("/Visa_entry")
		  public Visa_entry Savedata(@RequestBody Visa_entry data) {
		Visa_entry save = Service.Savedata(data)	;





		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Visa_entry/{id}")
	public  Visa_entry update(@RequestBody Visa_entry data,@PathVariable Integer id ) {
		Visa_entry update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Visa_entry/getall/page")
	public Page<Visa_entry> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Visa_entry> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Visa_entry")
	public List<Visa_entry> getdetails() {
		 List<Visa_entry> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Visa_entry")
	public List<Visa_entry> getallwioutsec() {
		 List<Visa_entry> get = Service.getdetails();		
		return get;
}
@GetMapping("/Visa_entry/{id}")
	public  Visa_entry  getdetailsbyId(@PathVariable Integer id ) {
		Visa_entry  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Visa_entry/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}







}